Tag: rvm

RVM installation ruby 1.8.7 and rails 2.3.4 Could not find gem 'rails (= 1.8.7) ruby' in the gems available on this machine. (Bundler::GemNotFound)

I need to install ruby 1.8.7 and rails 2.3.4 because I need to modify an old application. (latest ruby and gems in RVM working for me fine, but I need to use this old gems and ruby) //runing ubuntu 12.04 problem is when i try to run rake gems:install (and I cannot do rails new […]

Why does my `require` statement cause a LoadError?

I’ve installed the money gem: $ gem install money Successfully installed money-6.0.1 1 gem installed Installing ri documentation for money-6.0.1… Installing RDoc documentation for money-6.0.1… After installing, I started an IRB session and tried to load it using require “money”, but I got a LoadError: LoadError: no such file to load — money from (irb):1:in […]

How do I set 'global' as default gemset?

In RVM every time I restart it says gems aren’t found, because all of them are installed in my ‘global’ gemset. How can I just set this to be the default so I don’t need to switch to that gemset everytime?

rvm installation not working: “RVM is not a function”

I just installed RVM, but can’t make it work. I have such line at the end of my .profile file: [[ -s “$HOME/.rvm/scripts/rvm” ]] && . “$HOME/.rvm/scripts/rvm” I tried to run source .profile and restarting terminal, but still, when I run rvm use 1.9.2 I’m getting: RVM is not a function, selecting rubies with ‘rvm […]

Gem is installed but it is not found by bundle show

I’m having trouble getting the pg gem working with my rails app. When I do a sudo bundle install I get: Using rake (10.0.4) Using i18n (0.6.4) Using multi_json (1.7.2) Using activesupport (3.2.8) Using builder (3.0.4) Using activemodel (3.2.8) Using erubis (2.7.0) Using journey (1.0.4) Using rack (1.4.5) Using rack-cache (1.2) Using rack-test (0.6.2) Using […]

Installed Ruby 1.9.3 with RVM but command line doesn't show ruby -v

Here’s the console output: sergio@sergio-VirtualBox:~$ rvm list rvm rubies ruby-1.9.3 [ i386 ] sergio@sergio-VirtualBox:~$ rvm use 1.9.3 Using /usr/share/ruby-rvm/gems/ruby-1.9.3 sergio@sergio-VirtualBox:~$ ruby -v The program ‘ruby’ can be found in the following packages: * ruby1.8 * ruby1.9.1 Try: sudo apt-get install <selected package> So what’s going on? Do I need to reboot my machine? Or should […]

ruby-1.9.2-head gem usage issues

I’ve been having difficulty with running gem commands with ruby 1.9.x and any version of rubygems. I’ve been using rvm to handle all the installation of ruby and rubygems, but I can’t seem to isolate the issue: rvm use 1.8.7 Using /home/kelly/.rvm/gems/ruby-1.8.7-p352 which gem /home/kelly/.rvm/rubies/ruby-1.8.7-p352/bin/gem gem -v 1.8.10 gem install rails #success! rvm use 1.9.2 […]

Global gemset not visible after installing Ruby with RVM

I installed RVM the usual way: curl -L https://get.rvm.io | bash -s stable –ruby During installation these messages were displayed: ruby-1.9.3-p286 – #configure ruby-1.9.3-p286 – #download (…) ruby-1.9.3-p286 – #extract ruby-1.9.3-p286 – #validate ruby-1.9.3-p286 – #setup ‘ruby’ was not found, cannot install rubygems unless ruby is present (Do you have an RVM ruby installed & […]

Why does my Rails app not see installed gems?

Running Ubuntu 10, RVM, Passenger and apache2. Trying to configure and get Redmine running. First, I set my default Ruby binary to /usr/local/rvm/rubies/ruby-1.9.2-p180/bin/ruby. That’s the output of which ruby. Output of which gem is /usr/local/rvm/rubies/ruby-1.9.2-p180/bin/gem. I think that side of things is set up properly. I know Passenger is running, because I’m getting an error […]

Install mysql version 5.5 through terminal

Where can I find the ~/.rvmrc file. I have to put rvm_archflags=”-arch x86_64″ there as in the tutorial http://beginrescueend.com/integration/databases/. Also, is there any other way to install mysql 5.5 through terminal. Thanks!

Ruby is the best programming language in the world - Ruby on Rails.